Name: ca_GEANT-OV-RSA-CA-4
Version: 1.0
Release: 1%{?dist}
License: IGTF Federation
URL: https://www.digicert.com/
Group: Security/Certificates
AutoReqProv: no
BuildRoot: %{_tmppath}/%{name}-root
BuildArch: noarch
Requires: ca-certificates
Source: %{name}-%{version}.tar.gz

Summary: Trust anchors for classic accredited authority GEANT OV RSA CA 4

%prep
%setup -c
rm -rf %{buildroot}
mkdir -p %{buildroot}

%description
This is the trust anchor for the classic accredited authority GEANT OV RSA CA 4.
You should install this package if you want to trust the identity 
assertions issued by the GEANT OV RSA CA 4.
Several instances of this package, corresponding to different CA's, can 
be installed simultaneously on the same system. 

%build


%install
mkdir -p %{buildroot}/etc/grid-security/certificates
mkdir -p %{buildroot}/etc/pki/ca-trust/source/anchors

cp %{_builddir}/%{name}-%{version}/* %{buildroot}/etc/grid-security/certificates/
ln -sf /etc/grid-security/certificates/GEANT-OV-RSA-CA-4.pem %{buildroot}/etc/grid-security/certificates/08ab1bf8.0
ln -sf /etc/grid-security/certificates/GEANT-OV-RSA-CA-4.pem %{buildroot}/etc/grid-security/certificates/260b2ae6.0
ln -sf /etc/grid-security/certificates/GEANT-OV-RSA-CA-4.pem %{buildroot}/etc/pki/ca-trust/source/anchors/GEANT-OV-RSA-CA-4.pem


%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
/etc/grid-security/certificates/*.0
/etc/grid-security/certificates/*.pem
/etc/grid-security/certificates/*.crl_url
/etc/pki/ca-trust/source/anchors/GEANT-OV-RSA-CA-4.pem

%post
set -e
/usr/bin/update-ca-trust extract

%changelog
* Mon May 24 2021 CREAM group <cream-support@lists.infn.it> - 1.0-1
- Initial release

